# Stabs debuginfo not supported 
# Not generate those debuginfo for which rpm is looking for
%global debug_package %{nil}

Name:           transgui
Version:        5.0.1
Release:        7%{?dist}
Summary:        An App to remotely control a Transmission Bit-Torrent client  

Group:          Applications/Internet
License:        GPLv2+
URL:            https://code.google.com/p/transmisson-remote-gui/
Source0:        https://transmisson-remote-gui.googlecode.com/files/%{name}-%{version}-src.zip
Source1:        %{name}.desktop
Source2:        %{name}.1

BuildRequires:  fpc
BuildRequires:  desktop-file-utils
BuildRequires:  lazarus
BuildRequires:  /usr/bin/execstack

ExcludeArch:    s390 s390x

%description
Transmission Remote GUI is a feature rich cross platform front-end to remotely
control a Transmission Bit-Torrent client daemon via its RPC protocol. It is 
faster and has more functionality than the built-in Transmission web interface.

%prep
%setup -q -n TransGUI
sed -i "s|\r||g" readme.txt
sed -i "s|\r||g" rpc-spec.txt
sed -i "s|\r||g" LICENSE.txt


%build
make %{?_smp_mflags}
execstack -c %{name}

%install
install -pd $RPM_BUILD_ROOT/%{_bindir}
install -p %{name} $RPM_BUILD_ROOT/%{_bindir}

#menu-entries
install -pdm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -pdm 755 $RPM_BUILD_ROOT%{_mandir}/man1
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -pd $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%doc readme.txt LICENSE.txt rpc-spec.txt VERSION.txt


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Sep 04 2015 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 5.0.1-6
- Add Mime type to desktop file #1217054

* Tue Aug 04 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.0.1-5
- Use new execstack (#1247795)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 5.0.1-1
- Update to 5.0.1
- Changes generic name in desktop file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 30 2013 Peter Robinson <pbrobinson@fedoraproject.org> 4.1-1
- Update to 4.1

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 3 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 4.0.3-1
- Updated to new version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 21 2011 Dan Horák <dan[at]danny.cz> 3.2-6
- no fpc on s390(x)

* Thu Nov 17 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.2-5
- Added man page and disabled debuginfo package

* Sun Nov 13 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.2-4
- Updated to new version and made some changes according to review

* Fri Oct 28 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.1-3.20111028svn638
- Updated to new revision

* Tue Apr 12 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.1-2.20110410svn604
- Fix Snapshot issue

* Sun Apr 10 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 3.1-1.20110410svn604
- Initial version of the package
